%define api 1.0
%define major 5
%define libname %mklibname anthygobject %api %major
%define develname %mklibname -d anthygobject
%define girname %mklibname anthy-gir 9000

Name:      ibus-anthy
Summary:   ibus - Japanese Anthy engine
Version:   1.5.4
Release:   %mkrel 1
Group:     System/Internationalization
License:   GPLv2+
URL:       http://code.google.com/p/ibus/
Source0:   http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires: ibus-devel >= 1.3.9-3
BuildRequires: anthy-devel
BuildRequires: python-devel
BuildRequires: intltool
BuildRequires: gobject-introspection-devel
BuildRequires: ibus
Requires:	ibus >= 1.2.0
Requires:	anthy

%package -n %{libname}
Group: System/Internationalization
Summary: Shared libs for anthygobject

%description -n %{libname}
Shared libs for anthygobject.

%package -n %{girname}
Group: System/Internationalization
Summary: GObject Introspection interface description for anthy
Requires: %{libname} = %{version}

%description -n %{girname}
GObject Introspection interface description for anthy.

%package -n %{develname}
Group: System/Internationalization
Summary: Development files for ibus-anthy
Requires: %{libname} = %{version}
Requires: %{girname} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains development files for ibus-anthy.

%description
ibus - Japanese Anthy engine.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%find_lang %name

%files -f %name.lang
%{_libexecdir}/ibus-engine-anthy
%{_libexecdir}/ibus-setup-anthy
%{_datadir}/%{name}
%{_datadir}/applications/ibus-setup-anthy.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/ibus/component/anthy.xml

%files -n %{libname}
%{_libdir}/libanthygobject-%{api}.so.%{major}
%{_libdir}/libanthygobject-%{api}.so.%{major}.*

%files -n %{girname}
%{_libdir}/girepository-1.0/Anthy-9000.typelib

%files -n %{develname}
%{_libdir}/libanthygobject-%{api}.so
%{_includedir}/ibus-anthy-%{api}
%{_datadir}/gir-1.0/*.gir


%changelog
* Sun Jan 26 2014 luigiwalser <luigiwalser> 1.5.4-1.mga4
+ Revision: 568344
- 1.5.4 (fixes CVE-2013-4509)

* Sat Oct 19 2013 umeabot <umeabot> 1.5.3-2.mga4
+ Revision: 523626
- Mageia 4 Mass Rebuild

* Thu May 23 2013 fwang <fwang> 1.5.3-1.mga4
+ Revision: 424703
- new version 1.5.3

* Sun Jan 13 2013 fwang <fwang> 1.5.0-2.mga3
+ Revision: 370793
- cleanup spec
- new version 1.5.0

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 fwang <fwang> 1.4.99.20121006-1.mga3
+ Revision: 306965
- drop .la file
- fix pkg content
- update file list
- update file list
- new version 1.4.99.20121016

* Mon May 28 2012 fwang <fwang> 1.2.7-1.mga3
+ Revision: 247783
- new version 1.2.7

* Wed Jun 15 2011 fwang <fwang> 1.2.6-1.mga2
+ Revision: 106399
- new version 1.2.6
- use ibus engine macro for automatical registration

* Fri Mar 18 2011 tv <tv> 1.2.5-1.mga1
+ Revision: 73552
- imported package ibus-anthy


* Wed Dec 01 2010 Funda Wang <fwang@mandriva.org> 1.2.5-1mdv2011.0
+ Revision: 604304
- update to new version 1.2.5

* Thu Nov 18 2010 Funda Wang <fwang@mandriva.org> 1.2.4-1mdv2011.0
+ Revision: 598543
- update to new version 1.2.4

* Wed Nov 03 2010 Funda Wang <fwang@mandriva.org> 1.2.3-2mdv2011.0
+ Revision: 592713
- rebuild for py2.7

* Mon Oct 25 2010 Funda Wang <fwang@mandriva.org> 1.2.3-1mdv2011.0
+ Revision: 589210
- update to new version 1.2.3

* Sun Apr 25 2010 Funda Wang <fwang@mandriva.org> 1.2.1-1mdv2010.1
+ Revision: 538613
- update to new version 1.2.1

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 1.2.0.20100115-1mdv2010.1
+ Revision: 492371
- update to new version 1.2.0.20100115

* Sat Nov 28 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20091127-1mdv2010.1
+ Revision: 470765
- BR intltool
- New version 1.2.0.20091127

* Mon Sep 21 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20090917-1mdv2010.0
+ Revision: 446417
- New version 1.2.0.20090917

* Tue Sep 15 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20090907-1mdv2010.0
+ Revision: 441926
- New version 1.2.0.20090907

* Tue Aug 04 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20090804-1mdv2010.0
+ Revision: 408861
- new version 1.2.0.20090804
- new version 1.2.0

* Wed Jun 03 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090603-1mdv2010.0
+ Revision: 382431
- update file list
- New version 1.1.0.20090603

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090402-1mdv2010.0
+ Revision: 369490
- New version 1.1.0.20090402

* Fri Feb 13 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090211-1mdv2009.1
+ Revision: 339994
- update to new version 1.1.0.20090211

* Thu Feb 05 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090205-1mdv2009.1
+ Revision: 337876
- New version 1.1.0.20090205

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20080912-2mdv2009.1
+ Revision: 318668
- rebuild for new python

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20080912-1mdv2009.1
+ Revision: 292260
- New version 0.1.1.20080912

* Fri Sep 05 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20080901-1mdv2009.0
+ Revision: 281257
- new version

* Sun Aug 31 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20080828-1mdv2009.0
+ Revision: 277704
- update to new version 0.1.1.20080828

* Mon Aug 25 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20080823-1mdv2009.0
+ Revision: 275836
- fix pythondir
- import ibus-anthy


